EDIT - feature request #6957

Implement cache strategy for viral names
09/19/2017 12:50 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Viral names are not yet correctly handled in the name cache strategy and throw an NPE when calling getTitleCache

Related issues:

Related to EDIT - feature request #6693: Implement missing nomenclatural code... Closed
Related to EDIT - task #6630: Unify TaxonName cache strategies Closed
Related to EDIT - feature request #6963: Implement cache strategy for cultiva... In Progress

Associated revisions

Revision d63a08c7 - 09/19/2017 12:50 PM - Andreas Miiller

ref #6957 first version of viral name cache strategy

History

#1 - 09/19/2017 12:51 PM - Andreas Miiller

- Blocks feature request #6693: Implement missing nomenclatural codes for name detail element added

#2 - 09/20/2017 05:56 PM - Andreas Miiller
- Related to feature request #6950: Alllow the usage of Viral Names added

#3 - 09/20/2017 05:56 PM - Andreas Miuller

- Blocks deleted (feature request #6693: Implement missing nomenclatural codes for name detail element)

#4 - 09/20/2017 05:56 PM - Andreas Miuller

- Related to feature request #6693: Implement missing nomenclatural codes for name detail element added

#5 - 09/20/2017 05:56 PM - Andreas Miiller
- Related to deleted (feature request #6950: Alllow the usage of Viral Names)

#6 - 09/20/2017 06:00 PM - Andreas Miiller

- Tags set to formatting

- Status changed from New to Resolved

- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.10

A first version is ready. We may think about handling viral names with rank higher then species differently in future, e.g. by using the uninomial field
as they should be uninomials according to the code.

Also we may think about adding a new field "viral species name" instead of using the titlecache field for the name. But this is not part of the current
ticket.

#7 - 09/20/2017 06:00 PM - Andreas Miuller

- Tracker changed from bug to feature request

#8 - 09/20/2017 06:04 PM - Andreas Miiller
- Related to task #6630: Unify TaxonName cache strategies added
#9 - 09/20/2017 06:36 PM - Andreas Miiller

- Related to feature request #6963: Implement cache strategy for cultivar plant names (done), bacterial names, fungi, etc. added

#10 - 09/22/2017 11:15 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

as a first version it looks fine.
